Skip to main content
GET
/
api
/
v1
/
wallet
/
balance
Get wallet balance
curl --request GET \
  --url https://api.example.com/api/v1/wallet/balance \
  --header 'Authorization: Bearer <token>'
{
  "claimable_lightning_receive_sat": 1,
  "pending_board_sat": 1,
  "pending_in_round_sat": 1,
  "pending_lightning_send_sat": 1,
  "spendable_sat": 1,
  "pending_exit_sat": 1
}

Authorizations

Authorization
string
header
required

Base64url-encoded auth token

Response

Returns the wallet balance

The different balances of a Bark wallet, broken down by state.

All amounts are in sats.

claimable_lightning_receive_sat
integer<int64>
required

Sats from an incoming Lightning payment that can be claimed but have not yet been swept into a spendable VTXO.

Required range: x >= 0
pending_board_sat
integer<int64>
required

Sats in board transactions that are waiting for sufficient on-chain confirmations before becoming spendable.

Required range: x >= 0
pending_in_round_sat
integer<int64>
required

Sats locked in VTXOs forfeited for a round that has not yet completed.

Required range: x >= 0
pending_lightning_send_sat
integer<int64>
required

Sats locked in an outgoing Lightning payment that has not yet settled.

Required range: x >= 0
spendable_sat
integer<int64>
required

Sats that are immediately spendable, either in-round or out-of-round.

Required range: x >= 0
pending_exit_sat
integer<int64> | null

Sats held in VTXOs whose unilateral exit chain is confirmed on-chain but which haven't yet been drained to the onchain wallet. Equivalent to the sum of Exited VTXOs whose exit state hasn't reached Claimed. null if the exit subsystem is unavailable.

Required range: x >= 0